<!DOCTYPE html>
<html lang="en">
<head>
	<title>轮播图</title>
	<meta charset="UTF-8">
	<style type="text/css">
		*{padding: 0;margin: 0;}
		ul{list-style:none;}
		#wrap{
			position: relative;
			width:800px;
			height:200px;
			margin:100px auto;
			border: 1px solid red;
			overflow: hidden;
		}
		#wrap ul{
			position: absolute;
			left:0;
			top:0;
		}
		#wrap ul li{
			float:left;
			width: 200px;
			height: 200px;
		}
		input{
			width:100px;
			height:20px;
		}
	</style>
	<script type="text/javascript">
		window.onload=function(){
			var speed=2;
			var timer=null
			var oDiv=document.getElementById('wrap');
			var aLi=oDiv.getElementsByTagName('li');
			var oUl=oDiv.getElementsByTagName("ul")[0];
			var oIn=document.getElementsByTagName("input");
			
			oUl.innerHTML=oUl.innerHTML+oUl.innerHTML;
			oUl.style.width=aLi[0].offsetWidth*aLi.length+"px";
			function Bnnar(){
			
				if (oUl.offsetLeft<-oUl.offsetWidth/2) {
					oUl.style.left="0";
				}
				if (oUl.offsetLeft>0) {
					oUl.style.left=-oUl.offsetWidth/2+'px';
				}
				oUl.style.left=oUl.offsetLeft+speed+'px';
			}
			
			timer=setInterval(Bnnar,100);
			oDiv.onmouseover=function(){
				clearInterval(timer);
			};
			oDiv.onmouseout=function(){
				timer=setInterval(Bnnar,100);
			};
			oIn[2].onclick=function(){
				speed=-2;
			}
			oIn[3].onclick=function(){
				speed=2;
			}
			oIn[1].onclick=function(){
				var cValue=oIn[0].value;
				speed=parseInt(cValue);
			}
		};
	</script>
</head>
<body>
	<input type="text" name=""/>
	<input type="button" name="" value="提交" />
	<input type="button" name="" value="向左" />
	<input type="button" name="" value="向右" />

	<div id="wrap">
		<ul>
			<li><img src="../images/jpg/1.jpg" alt="" width="200" height="200"/></li>
			<li><img src="../images/jpg/2.jpg" alt="" width="200" height="200"/></li>
			<li><img src="../images/jpg/3.jpg" alt="" width="200" height="200"/></li>
			<li><img src="../images/jpg/4.jpg" alt="" width="200" height="200"/></li>
		</ul>
	</div>
</body>
</html>